from api_graphql.abc.input_abc import InputABC


class UserSpaceCreateInput(InputABC):

    def __init__(self, src: dict):
        InputABC.__init__(self, src)

        self._name = self.option("name", str, required=True)
        self._users = self.option("users", list[int])

    @property
    def name(self) -> str:
        return self._name

    @property
    def users(self) -> list[int]:
        return self._users
